hpp-corbaserver: hpp::corbaServer::core_idl Namespace Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
hpp::corbaServer::core_idl Namespace Reference

## Classes
class | DistanceServant
class | DistanceStorage
class | PathServant
class | PathValidationServant
class | PathVectorServant
class | ProblemServant
class | SteeringMethodServant
class | SteeringMethodStorage
class | WeighedDistanceServant

## Typedefs
typedef DistanceServant< POA_hpp::core_idl::Distance, DistanceStorage< core::Distance > > | Distance
typedef WeighedDistanceServant< POA_hpp::core_idl::WeighedDistance, DistanceStorage< core::WeighedDistance > > | WeighedDistance
typedef PathValidationServant< POA_hpp::core_idl::PathValidation, core::PathValidationPtr_t > | PathValidation
typedef PathServant< POA_hpp::core_idl::Path, core::PathPtr_t > | Path
typedef PathVectorServant< POA_hpp::core_idl::PathVector, core::PathVectorPtr_t > | PathVector
typedef ProblemServant< POA_hpp::core_idl::Problem, core::ProblemPtr_t > | Problem
typedef SteeringMethodServant< POA_hpp::core_idl::SteeringMethod, SteeringMethodStorage< core::SteeringMethod > > | SteeringMethod

## Functions
hpp::core_idl::Path_ptr | makePathServant (Server *server, const PathPtr_t &path)

## Typedef Documentation

## ◆ Distance

typedef DistanceServant<POA_hpp::core_idl::Distance, DistanceStorage<core::Distance> > hpp::corbaServer::core_idl::Distance

## ◆ Path

typedef PathServant<POA_hpp::core_idl::Path, core::PathPtr_t> hpp::corbaServer::core_idl::Path

## ◆ PathValidation

typedef PathValidationServant<POA_hpp::core_idl::PathValidation, core::PathValidationPtr_t> hpp::corbaServer::core_idl::PathValidation

## ◆ PathVector

typedef PathVectorServant<POA_hpp::core_idl::PathVector, core::PathVectorPtr_t> hpp::corbaServer::core_idl::PathVector

## ◆ Problem

typedef ProblemServant<POA_hpp::core_idl::Problem, core::ProblemPtr_t> hpp::corbaServer::core_idl::Problem

## ◆ SteeringMethod

typedef SteeringMethodServant<POA_hpp::core_idl::SteeringMethod, SteeringMethodStorage<core::SteeringMethod> > hpp::corbaServer::core_idl::SteeringMethod

## ◆ WeighedDistance

typedef WeighedDistanceServant<POA_hpp::core_idl::WeighedDistance, DistanceStorage<core::WeighedDistance> > hpp::corbaServer::core_idl::WeighedDistance

## Function Documentation

## ◆ makePathServant()

hpp::core_idl::Path_ptr hpp::corbaServer::core_idl::makePathServant | ( | Server * | server,
|  | const PathPtr_t & | path
| ) |  |